/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.Product;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class ProductBeingSold {
    public Vector assessTurnover() {
        return new Vector();
    }

    public boolean isAvailableFromDate() {
        return false;
    }

    public Vector listCashSales() {
        return new Vector();
    }

    public Vector listOrders() {
        return new Vector();
    }

    public Vector listShipments() {
        return new Vector();
    }

    public Vector listDeliveries() {
        return new Vector();
    }

    public Vector listInvoices() {
        return new Vector();
    }

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 1
     */
    private Product lnkUnnamed;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.SaleToCustomer.SaleToCustomerDetail lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ProductSaleMgmt.ShipmentToCustomer.ShipmentDetail lnkUnnamed2;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private ProductSaleMgmt.DeliveryToCustomer.DeliveryDetail lnkUnnamed3;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.InvoiceToCustomer.InvoiceDetail lnkUnnamed4;
}


